'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _resizeable = require('./decorators/resizeable');

var _resizeable2 = _interopRequireDefault(_resizeable);

var _draftJs = require('draft-js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var resizeablePlugin = function resizeablePlugin() {
  return {
    // Wrap all block-types in resizeable decorator
    blockRendererFn: function blockRendererFn(contentBlock, _ref) {
      var getEditorState = _ref.getEditorState;
      var setEditorState = _ref.setEditorState;

      var setEntityData = function setEntityData(data) {
        var entityKey = contentBlock.getEntityAt(0);
        if (entityKey) {
          var editorState = getEditorState();
          _draftJs.Entity.mergeData(entityKey, _extends({}, data));
          setEditorState(_draftJs.EditorState.forceSelection(editorState, editorState.getSelection()));
        }
        return _extends({}, data);
      };
      return {
        decorators: [(0, _resizeable2.default)(setEntityData)]
      };
    } };
};

exports.default = resizeablePlugin;